import 'package:fcs/helpers/theme.dart';
import 'package:fcs/pages/widgets/local_text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'callbacks.dart';

class LocalButton extends StatelessWidget {
  final CallBack callBack;
  final IconData iconData;
  final String textKey;
  final Color color;

  const LocalButton(
      {Key key,
      this.callBack,
      this.iconData,
      this.textKey,
      this.color = primaryColor})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(left: 10, right: 10, top: 10),
      child: Container(
        height: 45.0,
        decoration: BoxDecoration(
          color: color,
          shape: BoxShape.rectangle,
        ),
        child: ButtonTheme(
          minWidth: 900.0,
          height: 100.0,
          child: FlatButton(
            onPressed: callBack == null ? null : () => callBack(),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                iconData == null
                    ? Container()
                    : Icon(
                        iconData,
                        color: Colors.white,
                      ),
                SizedBox(
                  width: 15,
                ),
                LocalText(
                  context,
                  textKey,
                  color: Colors.white,
                  fontSize: 16,
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
